<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml"
                template="/plantilla-principal.xhtml"
                xmlns:pt="http://xmlns.jcp.org/jsf/passthrough"
                xmlns:jsf="http://xmlns.jcp.org/jsf"
                xmlns:h="http://xmlns.jcp.org/jsf/html"
                xmlns:f="http://xmlns.jcp.org/jsf/core">

    <ui:define name="contenido">
        <f:metadata>
            <f:event type="preRenderView" listener="#{sessionManBean.modulosFuncionalidad(12)}"></f:event>
        </f:metadata>
        <h:form prependId="false" class="ui menu">
            <div class="borderless header item">
                <div style="font-size: 22px">
                    <i class="map outline icon" />
                    Barrios
                </div>
            </div>
            <div class="right menu">
                <div class="ui right aligned category search item">
                    <div class="ui transparent icon input">
                        <h:inputText id="txf-buscar" class="prompt" pt:placeholder="Buscar..." value="#{barriosManBean.txtBusqueda}"/>
                        <i class="search link icon"></i>
                    </div>

                    <h:commandLink id="cl-buscar" style="display: none" action="#{barriosManBean.buscarBarrio()}">
                        <f:ajax execute="@form" render="form-tabla" onevent="function(data){ajaxBusqueda(data)}" />
                    </h:commandLink>
                </div>
                <div class="results"></div>

                <div class="item">
                    <div id="btnEliminar" style="display: none;" class="ui red icon button #{not sessionManBean.permisosAsignados(33)?'disabled':''}" onclick="mostrarDialogoConfElim()">
                        <i class="trash icon"/>
                    </div>
                    <h:commandLink style="margin-left: 5px;" id="boton-nuevo" class="ui green icon button" action="#{barriosManBean.limpiar()}">
                        <i class="add icon" />
                        <f:ajax execute="@this" render="form-datos" onevent="function(data){ajaxNuevoBarrio(data)}" />
                    </h:commandLink>
                </div>
            </div>

        </h:form>
        <div class="ui grid">
            <div class="eleven wide column">
                <h:form prependId="false" id="form-tabla">
                    <table jsf:id="elementos-tabla" class="ui selectable table">
                        <thead>
                            <tr><th class="collapsing">
                                    <div  class="ui fitted checkbox">
                                        <input onclick="seleccionMainCheck()" type="checkbox" id="chk-selec-todo"/>
                                        <label/>
                                    </div>
                                </th>
                                <th>Cód.</th>
                                <th>Nombre</th>
                                <th>Zona</th>
                            </tr>
                        </thead>
                        <tbody>
                            <ui:repeat value="#{barriosManBean.lstBarrios}" var="barrio" varStatus="barstatus">
                                <tr id="fila-#{barrio.idbarrio}">
                                    <td style="cursor: pointer" onclick="agregarSeleccion('#{barrio.idbarrio}')"> 
                                        <div class="ui fitted checkbox">
                                            <input onclick="agregarSeleccion('#{barrio.idbarrio}')" id="chk-#{barrio.idbarrio}" type="checkbox" />
                                            <label></label>
                                        </div>
                                    </td>
                                    <td id="col-idbarrio-#{barrio.idbarrio}" style="cursor: pointer;" onclick="seleccionUnica(#{barrio.idbarrio})">#{barrio.idbarrio}</td>
                                    <td style="cursor: pointer;" onclick="seleccionUnica(#{barrio.idbarrio})">#{barrio.nombre}</td>
                                    <td style="cursor: pointer;" onclick="seleccionUnica(#{barrio.idbarrio}))">#{barrio.zona.nombre}</td>
                                </tr>
                            </ui:repeat>
                            <tr jsf:rendered="#{empty barriosManBean.lstBarrios}">
                                <td colspan="4" class="disabled center aligned">(Sin barrios)</td>
                            </tr>
                        </tbody>
                        <tfoot>
                            <tr>
                                <th colspan="4">
                                    <div id="cmbCantReg" class="ui compact selection dropdown">
                                        <h:inputHidden id="in-cantreg" value="#{barriosManBean.paginador.cantidadRegistrosPorPagina}" />
                                        <i class="dropdown icon"></i>
                                        <div class="default text">Registros</div>
                                        <div class="menu">
                                            <div class="item" data-value="10">10 Ítems</div>
                                            <div class="item" data-value="20">20 Ítems</div>
                                            <div class="item" data-value="50">50 Ítems</div>
                                            <div class="item" data-value="100">100 Ítems</div>
                                            <div class="item" data-value="150">150 Ítems</div>
                                            <div class="item" data-value="200">200 Ítems</div>
                                        </div>
                                    </div>
                                    <span jsf:id="datos-paginacion">
                                        del #{barriosManBean.paginador.posicionInicio} al #{barriosManBean.paginador.posicionFin} (Total: #{barriosManBean.paginador.totalRegistros})
                                    </span>
                                    <h:commandLink id="cml-cambio-cantreg">
                                        <f:ajax execute="in-cantreg" render="@form" onevent="function(data){ajaxPaginador(data)}" />
                                    </h:commandLink>
                                    <div class="ui right floated pagination menu">
                                        <h:commandLink class="#{barriosManBean.paginador.desplazableIzquierda?'icon item':'disabled icon item'}" action="#{barriosManBean.paginador.desplazarIzquierdaPaginador()}">
                                            <i class="left chevron icon" />
                                            <f:ajax execute="@this" render="@form" onevent="function(data){ajaxPaginador(data)}" />
                                        </h:commandLink>
                                        <ui:repeat value="#{barriosManBean.paginador.bloqueNumeracionPaginas}" var="pag" varStatus="pagStatus">
                                            <h:commandLink class="#{barriosManBean.paginador.paginaActual==pag?'active item':'item'}" action="#{barriosManBean.paginador.setPaginaActual(pag)}" >
                                                #{pag}
                                                <f:ajax execute="@this" render="@form" onevent="function(data){ajaxPaginador(data)}" />
                                            </h:commandLink>
                                        </ui:repeat>
                                        <h:commandLink class="#{barriosManBean.paginador.desplazableDerecha?'icon item':'disabled icon item'}" action="#{barriosManBean.paginador.desplazarDerechaPaginador()}">
                                            <i class="right chevron icon" />
                                            <f:ajax execute="@this" render="@form" onevent="function(data){ajaxPaginador(data)}" />
                                        </h:commandLink>
                                    </div>
                                </th>
                            </tr>
                        </tfoot>
                        <div id="dim-tabla" class="ui inverted dimmer"/>
                    </table>
                </h:form>
            </div>
            <div class="five wide column">
                <h:form prependId="false" id="form-datos">
                    <div class="ui form">
                        <div class="field">
                            <label>Cód.</label>
                            <h:inputText id="in-idbarrio" value="#{barriosManBean.idBarrio}" pt:placeholder="Código" pt:type="number" pt:readonly=""/>
                        </div>
                        <div id="fieldNombreBarrio" class="required field">
                            <label>Nombre</label>
                            <h:inputText id="in-nombrebarrio" value="#{barriosManBean.nombreBarrio}" pt:placeholder="Ej.: CENTRO" />
                        </div>
                        <div id="fieldZonaBarrio" class="required field">
                            <label>Zona</label>
                            <div id="cmbZona" class="ui search selection dropdown">
                                <h:inputHidden id="in-idzona" value="#{barriosManBean.idZonaTmp}" />
                                <i class="dropdown icon" />
                                <div class="default text">Zona</div>
                                <div class="menu">
                                    <ui:repeat  value="#{zonasManBean.lstZonas}" var="zona" varStatus="zonaStatus">
                                        <div class="item" data-value="#{zona.idzona}">#{zona.nombre}</div>
                                    </ui:repeat>
                                </div>
                            </div>
                        </div>
                        <div class="field">
                            <h:commandLink id="cmlGuardarBarrio" class="ui blue right labeled icon button"  action="#{barriosManBean.guardarBarrio()}" onclick="return validar();">
                                <i class="save icon" />
                                Guardar
                                <f:ajax execute="@form" render="form-tabla tipoMsg cabeceraMsg cuerpoMsg" onevent="function(data){ajaxGuardarBarrio(data)}" />
                            </h:commandLink>
                        </div>
                    </div>
                    <h:commandLink id="cmlCargarDatosBarrio" style="display: none;" action="#{barriosManBean.cargarDatosBarrio()}">
                        <f:ajax execute="@this in-idbarrio" render="form-datos" onevent="function(data){ajaxCargarDatosBarrio(data)}" />
                    </h:commandLink>
                </h:form>
                <h:form prependId="false" id="msg" class="ui hidden message">
                    <h:inputHidden value="#{barriosManBean.tipoMsg}" id="tipoMsg" />
                    <i class="close icon" />
                    <div class="header">
                        <h:outputText id="cabeceraMsg" value="#{barriosManBean.cabeceraMsg}" />
                    </div>
                    <h:outputText id="cuerpoMsg" value="#{barriosManBean.cuerpoMsg}" />
                </h:form>
            </div>
        </div>


        <h:form prependId="false" rendered="#{sessionManBean.permisosAsignados(33)}" id="modalConfElim" class="ui basic modal">
            <h:inputHidden id="selbar" value="#{barriosManBean.seleccionBarriosIDJson}"/>
            <div class="ui icon header">
                <i class="map outline icon"></i>
                Eliminar barrios
            </div>
            <div class="centered content">
                <p>¿Desea eliminar los barrios seleccionados?</p>
            </div>
            <div class="actions">
                <div class="ui basic cancel inverted button">
                    <i class="remove icon"></i>
                    Cancelar
                </div>
                <h:commandLink action="#{barriosManBean.eliminarBarrios()}" class="ui red inverted button">
                    <i class="trash icon"></i>
                    Eliminar
                    <f:ajax execute="@form" onevent="function(data){ajaxEliminarBarrios(data)}" render="form-tabla tipoMsg cabeceraMsg cuerpoMsg"/>
                </h:commandLink>
            </div>
        </h:form>
        <h:outputScript target="body" library="js" name="ubicaciones/barrios.js" />
    </ui:define>

</ui:composition>
